Bug 621115 - virt-manager --show-domain-performance pop up a wrong performance tab
virt-manager --show-domain-performance pop up a wrong performance tab
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-manager (Show other bugs)
6.0
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Cole Robinson
Virtualization Bugs
: RHELNAK
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-04 05:56 EDT by weizhang
Modified: 2011-05-19 09:46 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:46:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
wrong performance tab (1.08 MB, image/png)
2010-08-04 05:56 EDT, weizhang
no flags Details
right performance tab (1.14 MB, image/png)
2010-08-04 05:57 EDT, weizhang
no flags Details

  None (edit)
Description weizhang 2010-08-04 05:56:39 EDT
Created attachment 436483 [details]
wrong performance tab

Description of problem:
When using 
#virt-manager --show-domain-performance=1054de4a-e4f3-9f6d-0f8b-79232fc8b3dd -c qemu:///system
to open a performance tab, it is not the real performance tab, but static graph, with no change, as the attachment wrong-performance.png shows. The right one can be find in attachment also for contrast.

Version-Release number of selected component (if applicable):
# rpm -qa virt-manager
virt-manager-0.8.4-7.el6.noarch
# rpm -qa libvirt
libvirt-0.8.1-20.el6.x86_64
# uname -r
2.6.32-56.el6.x86_64
# rpm -qa qemu-kvm
qemu-kvm-0.12.1.2-2.106.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.#virt-manager --show-domain-performance=1054de4a-e4f3-9f6d-0f8b-79232fc8b3dd -c qemu:///system

  
Actual results:
The wrong performance tab with static graph as attachment wrong-performance.png shows

Expected results:
The right performance tab with dynamic graph as attachment right-performance.png shows

Additional info:
Comment 1 weizhang 2010-08-04 05:57:34 EDT
Created attachment 436484 [details]
right performance tab

right performance tab
Comment 3 RHEL Product and Program Management 2010-08-04 06:27:42 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 4 Cole Robinson 2010-08-06 11:03:29 EDT
I don't think use of these CLI options is very common, deferring to 6.1
Comment 5 Cole Robinson 2010-11-24 14:22:53 EST
Fixed upstream:

http://hg.fedorahosted.org/hg/virt-manager/rev/485738db5549
Comment 6 Cole Robinson 2011-01-14 17:16:52 EST
Fixed in virt-manager-0.8.6-1.el6
Comment 8 min zhan 2011-01-17 04:03:18 EST
Make sure virt-manager is not running.Execute it in the terminal:
#virt-manager --show-domain-performance=1054de4a-e4f3-9f6d-0f8b-79232fc8b3dd -c
qemu:///system

Then virt-manager will be in running and the virtual machine console display. But what we can see directly on the console is the *terminal*, not the performance information of virtual details.

I think it is not the expected result. Please help to confirm. Thanks
 


Version-Release number of selected component (if applicable):

# uname -a
Linux dhcp-65-85.nay.redhat.com 2.6.32-99.el6.x86_64 #1 SMP Fri Jan 14 10:46:00
EST 2011 x86_64 x86_64 x86_64 GNU/Linux

virt-manager-0.8.6-1.el6
kernel-2.6.32-99.el6.x86_64
qemu-kvm-0.12.1.2-2.129.el6.x86_64
libvirt-0.8.7-1.el6.x86_64
Comment 9 Cole Robinson 2011-01-21 15:02:52 EST
This is half bug and half weird interaction with 670735.

The bug here is that if the user requested a console for all domains, it will override whatever was requested on the command line. Please open a separate bug report to track that issue, the command line should have precedence.

If you try the command line option against a shutoff domain, it should pop up the performance stats as requested.
Comment 11 Vivian Bian 2011-03-02 02:24:39 EST
checked with 
libvirt-0.8.7-8.el6.x86_64
virt-manager-0.8.6-2.el6.noarch
qemu-kvm-0.12.1.2-2.147.el6.x86_64
kernel-2.6.32-117.el6.x86_64

Steps:
1. # virsh dumpxml rhel6 |grep uuid
     <uuid>875b8f57-afa1-561e-dadb-ec8709c828f3</uuid>
2. # virt-manager --show-domain-performance=875b8f57-afa1-561e-dadb-ec8709c828f3 -c qemu:///system

Result:
1. the performance tab prompt up for the exact domain which the uuid point to 
2. could show the dynamic graph for domain performance 

So set bug status to VERIFIED .
Comment 12 errata-xmlrpc 2011-05-19 09:46:51 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0637.html

Note You need to log in before you can comment on or make changes to this bug.